{% extends 'user.html.twig' %}

{% block title %}Gérer la délégation{% endblock %}

{% block body %}
<section class="container">
    <div class="row justify-content-md-center p-5">
	{% if app.user.delegation != null %}
		<h1>Gérer la délégation</h1>
		{% if is_granted('ROLE_DELEGUE') %}
		<a href="{{ path("add_user_delegation") }}" class="btn btn-primary" role="button">Ajout Formateur</a>
		{% endif %}
		<table class="table striped">
			<tr>
				<th>Nom de la délégation</th>
				<td>{{ app.user.delegation.nomDelegation }}</td>
			</tr>
			<tr>
				<th>Nombre d'adhérents</th>
				<td>{{app.user.delegation.delegue}}</td>
			</tr>
		</table>
		{% if is_granted('ROLE_DELEGUE') %}
		<h2>Adhérents à la délégation</h2>
		<table class="table striped centered">
			<thead>
				<tr>
					<th>Adhérents</th>
					<th>Actions</th>
				</tr>
			</thead>
			<tbody>
				{% for formateur in app.user.delegation.formateurs %}
				<tr>
					<td>{{formateur.nom}}</td>
					<td><a href="{{ path("supprimer_adherent", {id: formateur.id}) }}" class="btn primary press modal-trigger"><i class="bi bi-trash"></i></a>
					</td>
				</tr>
				{% endfor %}
			</tbody>
		</table>
		{% endif %}
		{% if is_granted('ROLE_DELEGUE') %}
		<h2>Cours de la délégation</h2>
		<table class="table striped centered">
			<thead>
				<tr>
					<th>Nom du cours</th>
					<th>Etat du cours</th>
					<th>Date Fin</th>
				</tr>
			</thead>
			<tbody>
				{% for formateurs in app.user.delegation.formateurs %}
					{% for cour in formateurs.coursCrees | sort((a, b) => a.dateFin <=> b.dateFin) %}
					<tr>
						<td>{{ cour.nomCours }}</td>
						{% if cour.validationCours == true %}
							<td>Validé</td>
						{% else %}
							<td>En cours</td>
						{% endif %}
						<td>{{ cour.dateFin | date('d/m/Y') }}</td>
					</tr>
					{% endfor %}
				{% endfor %}
			</tbody>
		</table>
		{% endif %}
	{% else %}
		<p>Vous n'appartenez pas à une délégation </p>
	{% endif %}
	</div>
</section>
{% endblock %}
